%  fft_ua: Unbiased Fast Fourier Transform
%  	y=fft_ua(x)
%  Inputs
% 	x	dyadic row vector
%  Outputs
% 	y	dyadic column vector
%  Description
% 	View the entries of x as containing
% 	   x'(-n/2), ... , x'(n/2-1)
%    This routine places in the array y
%  the values
% 	   y'(-n/2), ... , y'(n/2-1)
%  where
% 	   y'(k) = Sum( x'(j) exp(-2*pi*i*k*j/n) : -n/2 <= j < n/2)
% 
%
%
% Part of BeamLab Version:200
% Built:Friday,23-Aug-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%
%
% Part of BeamLab Version:200
% Built:Saturday,14-Sep-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%