function y = haarTIApprox(x,[pen],[noiseType])

% 	function y = haarTIApprox(x,[pen],[noiseType])
% 
%   translation invariant multiscale Haar denoising
%             Poisson data
%
% 	x is a Poisson 1D signal or 2D image
% 	pen is the penalty used for the denoising algorithm
%             its default value is log(sum(x(:)))/2
% 	noiseType is either "Poisson" or "Gaussian"
%             for Gaussian noise, a penalty of 
%             log(prod(size(x)))/2 is recommended
%
% 	y is the denoised version of x
%